/// <reference types="react" />
import type { MenuProps } from "@mantine/core";
import { MenuDropdown } from "./MenuDropdown";
import { MenuItem } from "./MenuItem";
export declare function Menu(props: MenuProps): import("react/jsx-runtime").JSX.Element;
export declare namespace Menu {
    var Target: import("react").ForwardRefExoticComponent<import("@mantine/core").MenuTargetProps & import("react").RefAttributes<HTMLElement>>;
    var Dropdown: typeof MenuDropdown;
    var Item: typeof MenuItem;
    var Label: import("react").ForwardRefExoticComponent<import("@mantine/core").MenuLabelProps & import("react").RefAttributes<HTMLDivElement>>;
    var Divider: import("react").ForwardRefExoticComponent<import("@mantine/core").MenuDividerProps & import("react").RefAttributes<HTMLDivElement>>;
}
